Bio::MAGETAB::FactorValue(3)

NAME
Bio::MAGETAB::FactorValue - MAGE-TAB experimental factor class

SYNOPSIS
 use Bio::MAGETAB::FactorValue;

DESCRIPTION
This class is used to store the values of the factors investigated by the experiment. This class links the Factor objects to Measurements or ControlledTerms describing the variables applying to each line of the SDRF. Either the measurement or term attribute should be used, but not both. See the BaseClass class for superclass methods.

ATTRIBUTES

measurement (optional)
    A measurement of the given Factor variable (data type: Bio::MAGETAB::Measurement).

term (optional)
    A controlled term giving the value of the Factor (data type: Bio::MAGETAB::ControlledTerm).

factor (required)
    The Factor to which this particular factor value applies (data type: Bio::MAGETAB::Factor).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).